interface Options {
    /**
     * Path to the component that will be used to render the Markdown
     */
    renderComponent: string;
    /**
     * Directory containing Markdown files
     */
    contentDir?: string;
}
interface StaticRoute {
    path: string;
    component: string;
    getData?: () => any;
}
interface StaticRedirectRoute {
    path: string;
    redirect: string;
}
declare type StaticRoutes = Array<StaticRoute | StaticRedirectRoute>;
interface ReactStaticConfig {
    getRoutes: () => StaticRoutes | Promise<StaticRoutes>;
}
declare const _default: (options: Options) => {
    config: (config: ReactStaticConfig) => {
        getRoutes: () => (StaticRoute | StaticRedirectRoute)[] | Promise<(StaticRoute | StaticRedirectRoute)[]>;
    };
} | undefined;
export default _default;
